### Hierarchy

- Logger

## Index

### Constructors

- constructor

### Methods

- debug
- info
- isLevel
- trace
- warn

## Constructors

### constructor

- new Logger(): Logger

- - Defined in logger.ts:38

  #### Returns Logger

## Methods

### debug

- debug(message: LogMessage): void

- - Defined in logger.ts:52

  #### Parameters

  - ##### message: LogMessage

  #### Returns void

### info

- info(message: LogMessage): void

- - Defined in logger.ts:49

  #### Parameters

  - ##### message: LogMessage

  #### Returns void

### isLevel

- isLevel(level: LOG_LEVEL): boolean

- - Defined in logger.ts:42

  #### Parameters

  - ##### level: LOG_LEVEL

  #### Returns boolean

### trace

- trace(message: LogMessage): void

- - Defined in logger.ts:55

  #### Parameters

  - ##### message: LogMessage

  #### Returns void

### warn

- warn(message: LogMessage): void

- - Defined in logger.ts:46

  #### Parameters

  - ##### message: LogMessage

  #### Returns void

Generated using TypeDoc